> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riqra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar

> Lista todas las promociones que se pueden editar.



## OpenAPI

````yaml /api/openapi.json get /promotions
openapi: 3.1.0
info:
  title: Riqra API
  version: '1.0'
  contact:
    email: soporte@riqra.com
    url: https://www.riqra.com/
    name: Riqra Support
  description: >-
    Usando nuestra API puedes integrar tu ERP o tu sistema actual de
    administración con [Riqra](https://www.riqra.com/).
servers:
  - url: https://sandbox.api.riqra.com
    description: Sandbox
  - description: Producción
    url: https://api.riqra.com
security:
  - API Key: []
tags:
  - name: Almacenes
  - name: Banners
  - name: Categorías
  - name: Clientes
  - name: Clientes - Direcciones
  - name: Cobertura
  - name: Comercio
  - name: Cupones
  - name: Inventario
  - name: Líneas de Crédito
  - name: Lista de Precios
  - name: Lista de Precios - Precios
  - name: Marcas
  - name: Pedidos
  - name: Productos
  - name: Productos Sugeridos
  - name: Promociones
  - name: Stock
  - name: Subcategorías
  - name: Variantes
paths:
  /promotions:
    get:
      tags:
        - Promociones
      summary: Listar
      description: Lista todas las promociones que se pueden editar.
      operationId: get-promotions
      parameters:
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/limit'
        - schema:
            type: string
          in: query
          name: term
          description: Término a buscar en nombre y código del cupón.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PromotionCollectionResponse'
components:
  parameters:
    page:
      name: page
      in: query
      required: false
      schema:
        type: integer
    limit:
      name: limit
      in: query
      required: false
      schema:
        type: number
  schemas:
    PromotionCollectionResponse:
      title: PromotionCollectionResponse
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Promotion'
        pagination:
          $ref: '#/components/schemas/Pagination'
    Promotion:
      description: ''
      type: object
      properties:
        id:
          type: number
        name:
          type: string
        useCount:
          type: integer
        usageLimit:
          type: integer
        isActive:
          type: boolean
        startDate:
          type: string
        expirationDate:
          type: string
      required:
        - id
        - name
        - useCount
        - isActive
        - startDate
        - expirationDate
    Pagination:
      type: object
      properties:
        page:
          type: integer
          description: Número de la página actual.
        pages:
          type: integer
          description: Número total de páginas.
        total:
          type: integer
          description: Cantidad total de elementos.
        hasPrevPage:
          type: boolean
          description: Indica si existe una página previa.
        hasNextPage:
          type: boolean
          description: Indica si existe una página siguiente.
  securitySchemes:
    API Key:
      name: api-key
      type: apiKey
      in: header
      description: >-
        Todas las llamadas al API tienen que contener este header junto a la
        clave para poder autenticar y autorizar al cliente.

````